// JScript 文件

 function $(e){
        return document.getElementById(e);
    }
    String.prototype.trim = function(){
        return this.replace(/(^\s*)|(\s*$)/g,'');
    }

    var evtD, evtX, evtY, evtZ

    function drag_rect(dx,dy){
        evtX += dx; evtY += dy;
    }

    function drag_start(evt){
        evtD = true;
        evt.srcElement.setCapture();
        $('divTop').style.background = 'pink';
        evtX = evt.layerX?evt.layerX:evt.offsetX;
        evtY = evt.layerY?evt.layerY:evt.offsetY;
        evtZ = $('divMenu').style.zIndex;
        $('divMenu').style.zIndex = 100;
    }

    function drag_move(evt){
        if(evtD){
	        var evtT = document.body.scrollTop - evtY + evt.clientY + 'px';
	        var evtL = document.body.scrollLeft - evtX + evt.clientX + 'px';
	        $('divMenu').style.top = evtT;
	        $('divMenu').style.left = evtL;
	        $('fraMenu').style.top = evtT;
	        $('fraMenu').style.left = evtL;
        }
    }

    function drag_stop(evt){
        evtD = false;
        $('divTop').style.background = 'white';
        $('divMenu').style.zIndex = evtZ;
        evt.srcElement.releaseCapture();
    }

    function MenuMinz(){
        $('divBody').style.display = 'none';
        $('fraMenu').style.display = 'none';
    }
    function MenuMaxz(){
        $('divBody').style.display = 'block';
        $('fraMenu').style.display = 'block';
    }
    function MenuClose(){
        $('divMenu').style.display = 'none';
        $('fraMenu').style.display = 'none';
    }
    function MenuShow(id,menuid){
        
        $('divMenu').style.display = 'block';
        $('divBody').style.display = 'block';
        $('fraMenu').style.display = 'block';
        $('menuid').value = menuid;
        //alert(menuid);
//	        alert(id);
        //$('menu'+window.form1.id.value).value = "";
//	        SaveMenu();
        
        //var menu = window.form1.frmMenu.menu;
        var menu = document.getElementsByName("menu");
        for(var k=0;k<menu.length;k++)
        {
            //alert(menu[k]);
	        menu[k].checked = false;
	        }
	    $('Admin_Menu').value=$('menu'+id).value;
	    
        var menu = $('menu'+id).value.split(',');
        for(var k=0;k<menu.length;k++)
	        if($('menu_'+menu[k])){
	            $('menu_'+menu[k]).checked = true;
	        }
		        
		if(id != 0)
		{
            $('divAdmin').innerHTML = $('admin'+id).value;
            $('divTitle').innerHTML = '详细权限 - '+$('admin'+id).value;
         }
        //alert(id);
        if(id == 0)
        {
            document.getElementById("MenuSave").style.display = "none";
            document.getElementById("SaveAll").style.display = "block";
        }
        window.form1.id.value = id;
        window.form1.Admin_ID.value = id;
    }
    function MenuCheck(ids){
        if(typeof(ids)=='undefined'){
            var menu = document.getElementsByName("menu");
	        //var menu = window.frmMenu.menu;
	        for(var k=0;k<menu.length;k++)
		        menu[k].checked = true;
        }else{
	        var menu = ids.split(',');
	        for(var k=0;k<menu.length;k++)
		        if($('menu_'+menu[k]))
			        $('menu_'+menu[k]).checked = true;
        }
        var vals = Array();
        var menu = document.getElementsByName("menu");
        //var menu = window.frmMenu.menu;
        for(var k=0;k<menu.length;k++){
	        if(menu[k].checked)
		        vals.push(menu[k].value);
        }
        //alert(window.form1.id.value);
        $('menu'+window.form1.id.value).value = vals;
        window.form1.Admin_Menu.value = vals;
        //MenuClose();
        alert('请点击 [修改] 保存设置！');
//        if(window.form1.id.value == 0)
//        {
//            MenuClose();
//        }
    }
    function MenuClear(ids){
        if(typeof(ids)=='undefined'){
            var menu = document.getElementsByName("menu");
	        //var menu = window.frmMenu.menu;
	        for(var k=0;k<menu.length;k++)
		        menu[k].checked = false;
        }else{
	        var menu = ids.split(',');
	        for(var k=0;k<menu.length;k++)
		        if($('menu_'+menu[k]))
			        $('menu_'+menu[k]).checked = false;
        }
        SaveMenu();
    }
    function SaveMenu(){
        var vals = Array();
        var menu = document.getElementsByName("menu");
        //var menu = window.frmMenu.menu;
        for(var k=0;k<menu.length;k++){
	        if(menu[k].checked)
		        vals.push(menu[k].value);
        }
        //alert(window.form1.id.value);
        $('menu'+window.form1.id.value).value = vals;
        window.form1.Admin_Menu.value = vals;
        if(window.form1.id.value == 0)
        {
            window.form1.ManageUser_ctl00_MangeMenu.value = vals;
        }
        //MenuClose();
        //alert('请点击 [修改] 保存设置！');
    }
    function SaveButton(){
        var vals = Array();
        var menu = document.getElementsByName("menu");
        //var menu = window.frmMenu.menu;
        for(var k=0;k<menu.length;k++){
	        if(menu[k].checked)
		        vals.push(menu[k].value);
        }
        //alert(window.form1.id.value);
        $('menu'+window.form1.id.value).value = vals;
        $('Admin_Menu').value=vals;
        //window.form1.Admin_Menu.value = vals;
        $('ManageUser_ctl0'+document.getElementById('menuid').value+'_MangeMenu').value = vals;

//        if(window.form1.id.value == 0)
//        {
//            window.form1.MangeMenu.value = vals;
//        }
        //alert($('ManageUser_ctl0'+document.getElementById('menuid').value+'_MangeMenu').value);
        MenuClose();
        alert('请点击 [修改] 保存设置！');
	}
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	function Shortcutsdrag_rect(dx,dy){
        evtX += dx; evtY += dy;
    }

    function Shortcutsdrag_start(evt){
        evtD = true;
        evt.srcElement.setCapture();
        $('divTop').style.background = 'pink';
        evtX = evt.layerX?evt.layerX:evt.offsetX;
        evtY = evt.layerY?evt.layerY:evt.offsetY;
        evtZ = $('divMenu').style.zIndex;
        $('divMenu').style.zIndex = 100;
    }

    function Shortcutsdrag_move(evt){
        if(evtD){
	        var evtT = document.body.scrollTop - evtY + evt.clientY + 'px';
	        var evtL = document.body.scrollLeft - evtX + evt.clientX + 'px';
	        $('divMenu').style.top = evtT;
	        $('divMenu').style.left = evtL;
	        $('fraMenu').style.top = evtT;
	        $('fraMenu').style.left = evtL;
        }
    }

    function Shortcutsdrag_stop(evt){
        evtD = false;
        $('divTop').style.background = 'white';
        $('divMenu').style.zIndex = evtZ;
        evt.srcElement.releaseCapture();
    }

    function ShortcutsMenuMinz(){
        $('divBody').style.display = 'none';
        $('fraMenu').style.display = 'none';
    }
    function ShortcutsMenuMaxz(){
        $('divBody').style.display = 'block';
        $('fraMenu').style.display = 'block';
    }
    function ShortcutsClose(){
        $('ShortcutsMenu').style.display = 'none';
        $('Shortcuts').style.display = 'none';
    }
    //弹出快捷入口窗口
    function ShortcutsShow(id,menuid){
        document.getElementById("ShortID").value = menuid;
        $('ShortcutsMenu').style.display = 'block';
        $('ShortcutsBody').style.display = 'block';
        $('Shortcuts').style.display = 'block';

        var menu = document.getElementsByName("Shortcuts");
        
        for(var k=0;k<menu.length;k++)
        {
	        menu[k].checked = false;
	    }
	    $('Shortcuts_Menu').value=$('Shortcuts'+id).value;
	    
        var menu = $('Shortcuts'+id).value.split(',');
       
        for(var k=0;k<menu.length;k++)
        {    
	        if($('Shortcuts_'+menu[k])){
	            $('Shortcuts_'+menu[k]).checked = true;
	        }
		 }  
		if(id != 0)
		{
            $('divShortcuts').innerHTML = $('admin'+id).value;
            $('ShortcutsTitle').innerHTML = '快捷入口 - '+$('admin'+id).value;
        }
        if(id == 0)
        {
            document.getElementById("MenuSave").style.display = "none";
            document.getElementById("SaveAll").style.display = "block";
        }
        window.form1.Shortcutsid.value = id;
        window.form1.Shortcuts_ID.value = id;
    }
    function ShortcutsMenuCheck(ids){
        if(typeof(ids)=='undefined'){
            var menu = document.getElementsByName("Shortcuts");
	        //var menu = window.frmMenu.menu;
	        for(var k=0;k<menu.length;k++)
		        menu[k].checked = true;
        }else{
	        var menu = ids.split(',');
	        for(var k=0;k<menu.length;k++)
		        if($('Shortcuts_'+menu[k]))
			        $('Shortcuts_'+menu[k]).checked = true;
        }
        var vals = Array();
        var menu = document.getElementsByName("Shortcuts");
        //var menu = window.frmMenu.menu;
        for(var k=0;k<menu.length;k++){
	        if(menu[k].checked)
		        vals.push(menu[k].value);
        }
        //alert(window.form1.Shortcutsid.value);
        $('Shortcuts'+window.form1.Shortcutsid.value).value = vals;
        //alert(window.form1.Shortcutsid.value);
        window.form1.Shortcuts_Menu.value = vals;
        //MenuClose();
        alert('请点击 [修改] 保存设置！');
        if(window.form1.Shortcutsid.value == 0)
        {
            MenuClose();
        }
    }
    function ShortcutsMenuClear(ids){
        if(typeof(ids)=='undefined'){
            var menu = document.getElementsByName("Shortcuts");
	        //var menu = window.frmMenu.menu;
	        for(var k=0;k<menu.length;k++)
		        menu[k].checked = false;
        }else{
	        var menu = ids.split(',');
	        for(var k=0;k<menu.length;k++)
		        if($('Shortcuts_'+menu[k]))
			        $('Shortcuts_'+menu[k]).checked = false;
        }
        SaveMenu();
    }
    function ShortcutsSaveMenu(){
        var vals = Array();
        var menu = document.getElementsByName("Shortcuts");
        //var menu = window.frmMenu.menu;
        for(var k=0;k<menu.length;k++){
	        if(menu[k].checked)
		        vals.push(menu[k].value);
        }
        //alert(window.form1.id.value);
        $('Shortcuts'+window.form1.Shortcutsid.value).value = vals;
        
        window.form1.Shortcuts_Menu.value = vals;
        if(window.form1.Shortcutsid.value == 0)
        {
            window.form1.ManageUser_ctl00_ShortMenu.value = vals;
        }
        //MenuClose();
        //alert('请点击 [修改] 保存设置！');
    }
    function ShortcutsSaveButton(){
        var vals = Array();
        var menu = document.getElementsByName("Shortcuts");
        //var menu = window.frmMenu.menu;
        for(var k=0;k<menu.length;k++){
	        if(menu[k].checked)
		        vals.push(menu[k].value);
        }
        //alert(window.form1.id.value);
        $('Shortcuts'+window.form1.Shortcutsid.value).value = vals;
        $('Shortcuts_Menu').value=vals;
        $('ManageUser_ctl0'+document.getElementById('ShortID').value+'_ShortMenu').value = vals;
        //window.form1.Admin_Menu.value = vals;
        //alert($('ManageUser_ctl0'+document.getElementById('ShortID').value+'_ShortMenu').value);
//        if(window.form1.Shortcutsid.value == 0)
//        {
//            window.form1.MangeMenu.value = vals;
//        }
        ShortcutsClose();
        alert('请点击 [修改] 保存设置！');
	}
	
	